JobClient.Renewer (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobClient.Renewer

    java.lang.Object
      org.apache.hadoop.security.token.TokenRenewer
          org.apache.hadoop.mapred.JobClient.Renewer

Enclosing class:
  JobClient

    public static class JobClient.Renewer

extends TokenRenewer

Constructor Summary
`JobClient.Renewer()`

Method Summary
`void` | `cancel(Token<?> token, Configuration conf)` Cancel the given token
`boolean` | `handleKind(Text kind)` Does this renewer handle this kind of token?
`boolean` | `isManaged(Token<?> token)` Is the given token managed? Only managed tokens may be renewed or cancelled.
`long` | `renew(Token<?> token, Configuration conf)` Renew the given token.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobClient.Renewer

    public JobClient.Renewer()

Method Detail

### handleKind

    public boolean handleKind(Text kind)

  Description copied from class: `TokenRenewer`
  Does this renewer handle this kind of token?

  Specified by:
    `handleKind` in class `TokenRenewer`
  Parameters:
    `kind` - the kind of the token
  Returns:
    true if this renewer can renew it

### renew

    public long renew(Token<?> token,
                      Configuration conf)
               throws IOException,
                      InterruptedException

  Description copied from class: `TokenRenewer`
  Renew the given token.

  Specified by:
    `renew` in class `TokenRenewer`
  Returns:
    the new expiration time
  Throws:
    `IOException`
    `InterruptedException`

### cancel

    public void cancel(Token<?> token,
                       Configuration conf)
                throws IOException,
                       InterruptedException

  Description copied from class: `TokenRenewer`
  Cancel the given token

  Specified by:
    `cancel` in class `TokenRenewer`
  Throws:
    `IOException`
    `InterruptedException`

### isManaged

    public boolean isManaged(Token<?> token)
                      throws IOException

  Description copied from class: `TokenRenewer`
  Is the given token managed? Only managed tokens may be renewed or cancelled.

  Specified by:
    `isManaged` in class `TokenRenewer`
  Parameters:
    `token` - the token being checked
  Returns:
    true if the token may be renewed or cancelled
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation